delete from report_sql where computer = {?computer};

-- num1  = id_privez
-- num2  = id_kupca
-- num3  = id_plovila
-- num4  = income
-- num5  = tevilo dni v obdobju
-- num6  = income na 30 dni
-- date1 = od
-- date2 = do
-- num7  = tevilo rezervacij na privezu v obdobju (dejansko bivanje na privezu)
-- str1  = indikator dejanskega bivanja na privezu


insert into report_sql (computer, num1, num2, num3, num4, num5, num6, date1, date2)
SELECT {?computer}, i.id_privez, i.id_lastnik, i.id_plovila, sum(i.znesek), {?to} - {?from},
       CASE WHEN {?to} - {?from} < 30 THEN sum(i.znesek) ELSE sum(i.znesek)/({?to} - {?from}) * 30 END, {?from}, {?to}
FROM m_storitve_income i
LEFT OUTER JOIN m_storitve s ON i.id_storitve = s.id_storitve 
LEFT OUTER JOIN m_nnstomar m on s.storitev = m.sifra
WHERE i.datum BETWEEN {?from} AND {?to}
AND i.id_racun_data IS NOT NULL 
AND m.berth_yield = 'Y'
GROUP BY i.id_privez, i.id_lastnik, i.id_plovila
;

UPDATE report_sql SET num7=
(SELECT count(*)
 FROM rezervac_detail
 LEFT OUTER JOIN rezervac ON rezervac_detail.id_rezervac=rezervac.id
 WHERE rezervac_detail.id_privez=report_sql.num1
 AND rezervac.id_lastnika=report_sql.num2
 AND rezervac.id_plovila=report_sql.num3
 AND rezervac_detail.datum_od <= {?to} AND rezervac_detail.datum_do >= {?from}
 AND rezervac_detail.status_rezervac=1)
WHERE computer={?computer};

UPDATE report_sql SET str1=CASE WHEN num7>0 THEN 'Y' ELSE 'N' END
WHERE computer={?computer};


--added on 20.11.2024 https://trello.com/c/neEDHgVH/3230-berth-fee-per-month-filters

-- indikator za CPM
update report_sql
set str10 = 'Y'
where num1 in (select id_privez from nnprivez where id_privez in (select id_privez from berth_owner where type = 1 and status = 1 and ((date_from <= {?from} and date_to >= {?from}) or (date_from >= {?from} and date_from <= {?to}))))
and computer={?computer};

update report_sql
set str10 = 'N'
where str10 is null and computer = {?computer};

-- indikator za private rental
update report_sql
set str11 = 'Y'
where num1 in (select id_privez from nnprivez where id_privez in (select id_privez from berth_owner where type = 2 and status = 1 and ((date_from <= {?from} and date_to >= {?from}) or (date_from >= {?from} and date_from <= {?to}))))
and computer={?computer};

update report_sql
set str11 = 'N'
where str11 is null and computer = {?computer};

-- indikator za berth owner
update report_sql
set str20 = 'Y'
where num1 in (select id_privez from nnprivez where id_privez in (select id_privez from berth_owner where type = 0 and status = 1 and ((date_from <= {?from} and date_to >= {?from}) or (date_from >= {?from} and date_from <= {?to}))))
and computer={?computer};

update report_sql
set str20 = 'N'
where str20 is null and computer = {?computer};

-- indikator za sublease
update report_sql
set str12 = 'Y'
where num1 in (select id_privez from nnprivez where id_privez in (select id_privez from berth_sublease where ((date_from <= {?from} and date_to >= {?from}) or (date_from >= {?from} and date_from <= {?to}))))
and computer={?computer};

update report_sql
set str12 = 'N'
where str12 is null and computer = {?computer};



--berh owner, ki je  tudi sublease, ni berth owner ampak samo sublease
update report_sql
set str20 = 'N'
where str12='Y' and str20='Y'
and computer={?computer};

-- indikator za dalbora owned (vse ostalo)

update report_sql
set str13 = case when str10 = 'N' and str11 = 'N' and str12 = 'N' and str20 = 'N'then 'Y' else 'N'end
where computer={?computer};

update report_sql
set num10 = (SELECT NNLOCATION_ID FROM NNPOMOL WHERE SIFRA = (SELECT KATEGORIJA FROM NNPRIVEZ WHERE N_PRIVEZA = STR1))
where computer={?computer};