delete from report_sql where computer={?Computer};

insert into report_sql (Computer, NUM1, DATE1, DATE2, STR1, STR2, STR3, STR4, STR5, STR6, NUM2, NUM3, NUM4,num5)
-- Prihodi tranzitov
SELECT {?Computer}, 1, REZERVAC_DETAIL_DATUM_OD, REZERVAC_DETAIL_DATUM_DO, REZERVAC_DETAIL_PRIVEZ, KUPCI_PRIIMEK, KUPCI_IME, PLOVILO, 'Arrival', VRSTA, REZERVAC_DETAIL_ID_PRIVEZ, ID_LASTNIKA, ID_PLOVILA,id_pogodbe FROM V_RESERVATION R1 
WHERE  R1.STATUS_REZERVAC IN (0, 1, 2) AND R1.VRSTA = 'TR'
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) = (SELECT TRUNC(MIN(RD.DATUM_OD)) FROM REZERVAC_DETAIL RD WHERE RD.ID_REZERVAC = R1.ID_REZERVAC AND RD.STATUS_REZERVAC = 1 AND RD.COMPLETE = 'Y')
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) >= {?From} AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) <= {?To}
AND NOT EXISTS (SELECT R2.* FROM V_RESERVATION R2 WHERE R2.STATUS_REZERVAC IN (0, 1, 2) AND R2.ID_PLOVILA = R1.ID_PLOVILA AND TRUNC(R2.REZERVAC_DETAIL_DATUM_DO) = TRUNC(R1.REZERVAC_DETAIL_DATUM_OD))
UNION ALL
-- Prihodi pogodb
SELECT {?Computer}, 1, REZERVAC_DETAIL_DATUM_OD, REZERVAC_DETAIL_DATUM_DO, REZERVAC_DETAIL_PRIVEZ, KUPCI_PRIIMEK, KUPCI_IME, PLOVILO, 'Arrival', VRSTA, REZERVAC_DETAIL_ID_PRIVEZ, ID_LASTNIKA, ID_PLOVILA,id_pogodbe FROM V_RESERVATION R1 
WHERE  R1.STATUS_REZERVAC IN (0, 1, 2) AND R1.VRSTA = 'PO'
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) = (SELECT TRUNC(MIN(RD.DATUM_OD)) FROM REZERVAC_DETAIL RD WHERE RD.ID_REZERVAC = R1.ID_REZERVAC AND RD.STATUS_REZERVAC = 1 AND RD.COMPLETE = 'Y')
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) >= {?From} AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) <= {?To}
AND NOT EXISTS (SELECT R2.* FROM V_RESERVATION R2 WHERE R2.STATUS_REZERVAC IN (0, 1, 2) AND R2.ID_PLOVILA = R1.ID_PLOVILA AND TRUNC(R2.REZERVAC_DETAIL_DATUM_DO) = TRUNC(R1.REZERVAC_DETAIL_DATUM_OD))
UNION ALL
-- Odhodi tranzitov,
SELECT {?Computer}, 2, REZERVAC_DETAIL_DATUM_OD, REZERVAC_DETAIL_DATUM_DO, REZERVAC_DETAIL_PRIVEZ, KUPCI_PRIIMEK, KUPCI_IME, PLOVILO, 'Departure', VRSTA, REZERVAC_DETAIL_ID_PRIVEZ, ID_LASTNIKA, ID_PLOVILA,id_pogodbe FROM V_RESERVATION R1 
WHERE  R1.STATUS_REZERVAC IN (0) AND R1.VRSTA = 'TR'
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) = (SELECT TRUNC(MAX(RD.DATUM_OD)) FROM REZERVAC_DETAIL RD WHERE RD.ID_REZERVAC = R1.ID_REZERVAC AND RD.STATUS_REZERVAC = 1 AND RD.COMPLETE = 'Y')
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_DO) >= {?From} AND TRUNC(R1.REZERVAC_DETAIL_DATUM_DO) <= {?To}
AND NOT EXISTS (SELECT R2.* FROM V_RESERVATION R2 WHERE R2.STATUS_REZERVAC IN (0, 1, 2) AND R2.ID_PLOVILA = R1.ID_PLOVILA AND TRUNC(R2.REZERVAC_DETAIL_DATUM_OD) = TRUNC(R1.REZERVAC_DETAIL_DATUM_DO))
UNION ALL
-- Odhodi pogodb
SELECT {?Computer}, 2, REZERVAC_DETAIL_DATUM_OD, REZERVAC_DETAIL_DATUM_DO, REZERVAC_DETAIL_PRIVEZ, KUPCI_PRIIMEK, KUPCI_IME, PLOVILO, 'Departure', VRSTA, REZERVAC_DETAIL_ID_PRIVEZ, ID_LASTNIKA, ID_PLOVILA,id_pogodbe FROM V_RESERVATION R1 
WHERE  R1.STATUS_REZERVAC IN (0) AND R1.VRSTA = 'PO'
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) = (SELECT TRUNC(MAX(RD.DATUM_OD)) FROM REZERVAC_DETAIL RD WHERE RD.ID_REZERVAC = R1.ID_REZERVAC AND RD.STATUS_REZERVAC = 1 AND RD.COMPLETE = 'Y')
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_DO) >= {?From} AND TRUNC(R1.REZERVAC_DETAIL_DATUM_DO) <= {?To}
AND NOT EXISTS (SELECT R2.* FROM V_RESERVATION R2 WHERE R2.STATUS_REZERVAC IN (0, 1, 2) AND R2.ID_PLOVILA = R1.ID_PLOVILA AND TRUNC(R2.REZERVAC_DETAIL_DATUM_OD) = TRUNC(R1.REZERVAC_DETAIL_DATUM_DO))
;

update report_sql set str7 =
(select reason from (select * from final_departure where id in (select max(id) from final_departure group by id_lastnika, id_plovila)) where id_lastnika = num3 and id_plovila = num4)
where computer={?Computer};

-- DATUM PRIHODA ZA ODHODE, IZRACUNAMO GA KOT ZADNJI PRIHOD PRED TEM ODHODOM 

UPDATE REPORT_SQL SET DATE3 =
(SELECT MAX(DATUM_ZACETKA) FROM DOGODKI WHERE ID_PLOVILA = NUM4 AND KATEGORIJA_DOGODKA = 'SP' AND TRUNC(DATE2) >= DATUM_ZACETKA)
WHERE COMPUTER = {?COMPUTER};

-- ce ima plovilo v obodbju sprejema casual storitev, spremenimo tip iz pogodbe na tranzit (vnasajo jih kot pogodbe)
UPDATE REPORT_SQL SET STR6 = 'TR' WHERE NUM4 IN 
(SELECT ID_PLOVILA FROM M_STORITVE WHERE (N_RACUNA IS NULL OR N_RACUNA <> 'STORNO') AND STORITEV IN ('BA','HSMWBC') AND DATUM_OD BETWEEN DATE1 AND DATE2)
AND COMPUTER = {?COMPUTER};

-- INDIKATOR ZA PRIVATE RENTER (CE V OBDOBJU SPREJEMA KORISTI STORITEV PRIVATE RENTER)
UPDATE REPORT_SQL SET STR8 = CASE WHEN NUM4 IN 
(SELECT ID_PLOVILA FROM M_STORITVE WHERE (N_RACUNA IS NULL OR N_RACUNA <> 'STORNO') AND STORITEV IN ('CAPPR','HSMPRC') AND DATUM_OD BETWEEN DATE1 AND DATE2)
THEN 'Y' ELSE 'N' END
WHERE COMPUTER = {?COMPUTER};


--vrednost 
--update report_sql set num6 = (select sum(saldkont.znesek) from saldkont, m_storitve , m_vzorci_ps
 --where saldkont.id_saldkont=m_storitve.id_saldkont
 --and m_storitve.id_vps =m_vzorci_ps.id_vps
 --and m_vzorci_ps.id_pogodbe =num5 )
--where computer={?computer}
--and str6='PO' and num5 is not null;
--16.101
update report_sql set num6 = (select sum(racun_data.znesek) from saldkont, racun_data,m_storitve , m_vzorci_ps
 where saldkont.id_saldkont=racun_data.id_saldkont
racun_data.id_storitve=m_storitve.id_storitve and
 and m_storitve.id_vps =m_vzorci_ps.id_vps
 and m_vzorci_ps.id_pogodbe =num5 )
where computer={?computer}
and str6='PO' and num5 is not null;



-------poporavim vrednos PO za arrivals;
--update report_sql set num6 = 
--((
--select vrednost from (
--select sum(vrednost) as vrednost, id_pogodbe from 
--(select case m_vzorci_ps.storno when  null then 0 else 
 --   (case when m_vzorci_ps.AUTO_CREATE_METHOD='M' then 12*
 --   (skupaj* ((100- (case m_vzorci_ps.popust when null then 0 else m_vzorci_ps.popust end))/100)*
 --   ((100- (case m_vzorci_ps.popust1 when null then 0 else m_vzorci_ps.popust1 end))/100)*
 --   ((100- (case m_vzorci_ps.popust2 when null then 0 else m_vzorci_ps.popust2 end))/100)*
 --   ((100- (case m_vzorci_ps.PROVIZIJA when null then 0 else m_vzorci_ps.PROVIZIJA end))/100)*
 --   ((100+ (case m_vzorci_ps.davek when null then 0 else m_vzorci_ps.davek end))/100))
--
--else 
   -- ((skupaj* ((100- (case m_vzorci_ps.popust when null then 0 else m_vzorci_ps.popust end))/100)*
   -- ((100- (case m_vzorci_ps.popust1 when null then 0 else m_vzorci_ps.popust1 end))/100)*
   -- ((100- (case m_vzorci_ps.popust2 when null then 0 else m_vzorci_ps.popust2 end))/100)*
   -- ((100- (case m_vzorci_ps.PROVIZIJA when null then 0 else m_vzorci_ps.PROVIZIJA end))/100)*
   -- 
   -- ((100+ (case m_vzorci_ps.davek when null then 0 else m_vzorci_ps.davek end))/100)))
   -- end  )
   -- 
   -- end vrednost, m_vzorci_ps.id_pogodbe 
--
--from m_vzorci_ps left outer join m_nnstomar on m_vzorci_ps.storitev = m_nnstomar.sifra where id_pogodbe =num5 and 
--m_vzorci_ps.AUTO_CREATE_METHOD IN('H','M','Y','Q','C','F') and m_nnstomar.filter in(22,29))
--group by id_pogodbe)
--


--))
--where computer={?computer}
--and str6='PO' and num5 is not null and num1=1;



update report_sql set num6 = 
((
select vrednost from (
select m_vzorci_ps.id_pogodbe, 
sum(case   nvl(M_NNSTOMAR.CONTRACT_PRICE,'N') when 'N' then 0 else 
(case M_VZORCI_PS.AUTO_CREATE_METHOD when 'M' then 12* 
  (  case   nvl(M_VZORCI_PS.STORNO,'0') when '0' then 
        (M_VZORCI_PS.SKUPAJ)*
        ((100- case (M_VZORCI_PS.POPUST) when null then 0 else M_VZORCI_PS.POPUST end )/100)*
        ((100- case (M_VZORCI_PS.POPUST1)when null then 0 else M_VZORCI_PS.POPUST1 end)/100)*
        ((100-case(M_VZORCI_PS.POPUST2)when null then 0 else M_VZORCI_PS.POPUST2 end)/100)*
        ((100-case(M_VZORCI_PS.PROVIZIJA)when null then 0 else M_VZORCI_PS.PROVIZIJA end)/100)*
        ((100+case(M_VZORCI_PS.DAVEK)when null then 0 else M_VZORCI_PS.DAVEK end)/100)
    else 0 end)
else
     
       (  case   nvl(M_VZORCI_PS.STORNO,'0') when '0' then  
        (M_VZORCI_PS.SKUPAJ)*
        ((100- case (M_VZORCI_PS.POPUST) when null then 0 else M_VZORCI_PS.POPUST end )/100)*
        ((100- case (M_VZORCI_PS.POPUST1)when null then 0 else M_VZORCI_PS.POPUST1 end)/100)*
        ((100-case(M_VZORCI_PS.POPUST2)when null then 0 else M_VZORCI_PS.POPUST2 end)/100)*
        ((100-case(M_VZORCI_PS.PROVIZIJA)when null then 0 else M_VZORCI_PS.PROVIZIJA end)/100)*
        ((100+case(M_VZORCI_PS.DAVEK)when null then 0 else M_VZORCI_PS.DAVEK end)/100)
    else 0 end)

end )end)as vrednost
from m_vzorci_ps left outer join m_nnstomar on m_vzorci_ps.storitev = m_nnstomar.sifra where id_pogodbe =num5
group by id_pogodbe
)where computer={?computer}
and str6='PO' and num5 is not null and num1=1;


--znesek za tranzite
update report_sql set num6 =
(
select sum(racun_data.znesek) from m_storitve, racun_data where m_storitve.id_storitve =racun_data.id_storitve and  m_storitve.n_racuna is not null and m_storitve.n_racuna <>'STORNO' 
and m_storitve.id_lastnika=num3 and m_storitve.datum_od<date1 and m_storitve.datum_do>=date2 and m_storitve.id_pogodbe is  null
)
where computer={?computer}
and str6='TR';



