delete from report_sql WHERE COMPUTER={?Computer};
-- date1 = dan
-- date2 = From
-- date3 = To
-- num1  = id_rezervac_detail
-- date4 = rd_date_from
-- date5 = rd_date_to
-- str2  = vrsta
-- num2  = status_rezervac
-- str3  = pogodba_n_priveza
-- str4  = priimek
-- str5  = proizvajalec
-- str6  = rd_n_priveza
-- num3  = rd_id_privez

-- generiranje vrstic: za vsak dan v periodi vse iz v_rezervac, kar ustreza pogojem
INSERT INTO report_sql (computer, date1, date2, date3, num1, date4, date5, str2, num2, str3, str4, str5, str6, num3)
SELECT {?Computer},
       a.datum,
       {?Datum_od}, 
       {?Datum_do},
       b.id_rezervac_detail,
       b.RD_DATE_FROM,
       b.RD_DATE_TO,
       b.vrsta,
       b.RD_STATUS_REZERVAC,
       b.pogodba_n_priveza,
       b.priimek,
       b.proizvajalec,
       b.rd_n_priveza,
       b.rd_id_privez
FROM (SELECT v_rezervac.id_rezervac_detail,
             trunc(v_rezervac.RD_DATE_FROM) as RD_DATE_FROM,
             CASE WHEN v_rezervac.RD_STATUS_REZERVAC = -10 OR v_rezervac.VRSTA = 'PO' THEN trunc(v_rezervac.RD_DATE_TO) - 1 ELSE trunc(v_rezervac.RD_DATE_TO) END as RD_DATE_TO,
             v_rezervac.vrsta,
             v_rezervac.RD_STATUS_REZERVAC,
             v_rezervac.pogodba_n_priveza,
             v_rezervac.priimek,
             v_rezervac.proizvajalec,
             v_rezervac.rd_n_priveza,
             v_rezervac.rd_id_privez
      FROM v_rezervac
      LEFT OUTER JOIN nnprivez ON rd_id_privez=nnprivez.id_privez
      LEFT OUTER JOIN nnpomol ON nnprivez.kategorija=nnpomol.sifra
      WHERE trunc(v_rezervac.RD_DATE_FROM) <= {?Datum_do} and (v_rezervac.RD_STATUS_REZERVAC >= 0 or v_rezervac.RD_STATUS_REZERVAC=-10) and
            trunc(v_rezervac.RD_DATE_TO) >= {?Datum_od} AND
            v_rezervac.rd_id_privez IS NOT NULL
?       AND nnpomol.nnlocation_id={?Location_id}
UNION ALL
      SELECT null,
             trunc(berth_maintenance.DATE_FROM),
             trunc(berth_maintenance.DATE_TO),
             null,
             99,
             null,
             null,
             null,
             nnprivez.n_priveza,
             berth_maintenance.id_privez
      FROM berth_maintenance
      LEFT OUTER JOIN nnprivez ON berth_maintenance.id_privez=nnprivez.id_privez
      LEFT OUTER JOIN nnpomol ON nnprivez.kategorija=nnpomol.sifra
      WHERE trunc(berth_maintenance.DATE_FROM) <= {?Datum_do} and berth_maintenance.STATUS >= 0 and trunc(berth_maintenance.DATE_TO) >= {?Datum_od} AND
            berth_maintenance.id_privez IS NOT NULL
?       AND nnpomol.nnlocation_id={?Location_id}
UNION ALL
      SELECT null,
             {?Datum_od}, 
             {?Datum_do},
             null,
             0,
             null,
             null,
             null,
             nnprivez.n_priveza,
             nnprivez.id_privez
      FROM nnprivez
      LEFT OUTER JOIN nnpomol ON nnprivez.kategorija=nnpomol.sifra
      WHERE nnprivez.id_privez IS NOT NULL
        AND nnprivez.id_privez NOT IN (SELECT v_rezervac.rd_id_privez
                              FROM v_rezervac
                              LEFT OUTER JOIN nnprivez ON rd_id_privez=nnprivez.id_privez
                              LEFT OUTER JOIN nnpomol ON nnprivez.kategorija=nnpomol.sifra
                              WHERE v_rezervac.RD_DATE_FROM <= {?Datum_do} and (v_rezervac.RD_STATUS_REZERVAC >= 0 or v_rezervac.RD_STATUS_REZERVAC=-10) and
                                    v_rezervac.RD_DATE_TO >= {?Datum_od}
?                               AND nnpomol.nnlocation_id={?Location_id}
                                AND rd_id_privez IS NOT NULL)
        AND nnprivez.id_privez NOT IN (SELECT berth_maintenance.id_privez
                              FROM berth_maintenance
                              LEFT OUTER JOIN nnprivez ON berth_maintenance.id_privez=nnprivez.id_privez
                              LEFT OUTER JOIN nnpomol ON nnprivez.kategorija=nnpomol.sifra
                              WHERE berth_maintenance.DATE_FROM <= {?Datum_do} and berth_maintenance.STATUS >= 0 and berth_maintenance.DATE_TO >= {?Datum_od}
?                               AND nnpomol.nnlocation_id={?Location_id}
                                AND berth_maintenance.id_privez IS NOT NULL)
?       AND nnpomol.nnlocation_id={?Location_id}
) b
LEFT OUTER JOIN (SELECT {?Datum_od} + rownum - 1 datum 
                 FROM   all_objects
                 WHERE  rownum <= {?Datum_do} - {?Datum_od} +1) a ON 1=1
;


--27.11.2024
--added on 20.11.2024 https://trello.com/c/neEDHgVH/3230-berth-fee-per-month-filters

-- indikator za CPM
update report_sql
set str10 = 'Y'
where num3 in (select id_privez from nnprivez where id_privez in (select id_privez from berth_owner where type = 1 and status = 1 and ((date_from <= {?Datum_od} and date_to >= {?Datum_od}) or (date_from >= {?Datum_od} and date_from <= {?Datum_do}))))
and computer={?computer};

update report_sql
set str10 = 'N'
where str10 is null and computer = {?computer};

-- indikator za private rental
update report_sql
set str11 = 'Y'
where num3 in (select id_privez from nnprivez where id_privez in (select id_privez from berth_owner where type = 2 and status = 1 and ((date_from <= {?Datum_od} and date_to >={?Datum_od}) or (date_from >= {?Datum_od} and date_from <= {?Datum_do}))))
and computer={?computer};

update report_sql
set str11 = 'N'
where str11 is null and computer = {?computer};

-- indikator za berth owner
update report_sql
set str20 = 'Y'
where num3 in (select id_privez from nnprivez where id_privez in (select id_privez from berth_owner where type = 0 and status = 1 and ((date_from <= {?Datum_od} and date_to >= {?Datum_od}) or (date_from >= {?Datum_od} and date_from <= {?Datum_do}))))
and computer={?computer};

update report_sql
set str20 = 'N'
where str20 is null and computer = {?computer};

-- indikator za sublease
update report_sql
set str12 = 'Y'
where num3 in (select id_privez from nnprivez where id_privez in (select id_privez from berth_sublease where ((date_from <= {?Datum_od}
 and date_to >= {?Datum_od}) or (date_from >= {?Datum_od} and date_from <= {?Datum_do}))))
and computer={?computer};

update report_sql
set str12 = 'N'
where str12 is null and computer = {?computer};



--berh owner, ke tudi sublease, ni berth owner ampak samo sublease
update report_sql
set str20 = 'N'
where str12='Y' and str20='Y'
and computer={?computer};

-- indikator za dalbora owned (vse ostalo)

update report_sql
set str13 = case when str10 = 'N' and str11 = 'N' and str12 = 'N' and str20 = 'N'then 'Y' else 'N'end
where computer={?computer};

update report_sql
set num10 = (SELECT NNLOCATION_ID FROM NNPOMOL WHERE SIFRA = (SELECT KATEGORIJA FROM NNPRIVEZ WHERE N_PRIVEZA = STR1))
where computer={?computer};