delete from report_sql where computer = {?computer};


-- str1 = n_priveza
-- str2 = kategorija
-- str3 lokacija
-- num2 = st dni na voljo
-- num3 = st. dni zasedenih - letos
-- num7 = % zasedenih dni - letos
-- num8 = st. dni zasedenih - lansko leto
-- num9 = % zasedeih dni - lansko leto
-- num10 = nnlocation_id
-- num11 = revenue letos
-- num12 = revenue lansko leto
-- num13 = st. zasedenih privezov
-- str15 = dolzinska kategorija

-- vstavimo vse priveze
insert into report_sql (computer, str1, str2, num10, num20)
select {?computer}, nnprivez.n_priveza, nnprivez.kategorija, nnpomol.nnlocation_id,nnprivez.id_privez  from nnprivez
left join nnpomol on nnprivez.kategorija = nnpomol.sifra
where nnprivez.occupancy_statistics = 'Y'
?and nnprivez.objekt = {?objekt} 
?and nnprivez.kategorija = {?kategorija}
?and nnprivez.id_privez = {?privez}
?and nnpomol.nnlocation_id = {?location_id}
;

update report_sql set str15 = 
(select case 
when (dolzina <= 10 or dolzina is null) then '<33ft(10m)'
when dolzina > 10 and dolzina <= 12 then '<40ft(12m)'
when dolzina > 12 and dolzina <= 15 then '<50ft(15m)'
when dolzina > 15 and dolzina <= 18 then '<60ft(18m)'
when dolzina > 18 and dolzina <= 23 then '<75ft(23m)'
when dolzina > 23 then '>75ft(23m)' else '' end 
from nnprivez where n_priveza = str1)
where computer = {?computer};




-- indikator za CPM
update report_sql
set str10 = 'Y'
where str1 in (select n_priveza from nnprivez where id_privez in (select id_privez from berth_owner where type = 1 and status = 1 and ((date_from <= {?datum_od} and date_to >= {?datum_od}) or (date_from >= {?datum_od} and date_from <= {?datum_do}))))
and computer={?computer};


update report_sql
set str10 = 'N'
where str10 is null and computer = {?computer};

-- indikator za private rental
update report_sql
set str11 = 'Y'
where str1 in (select n_priveza from nnprivez where id_privez in (select id_privez from berth_owner where type = 2 and status = 1 and ((date_from <= {?datum_od} and date_to >= {?datum_od}) or (date_from >= {?datum_od} and date_from <= {?datum_do}))))
and computer={?computer};

update report_sql
set str11 = 'N'
where str11 is null and computer = {?computer};

-- indikator za berth owner
update report_sql
set str20 = 'Y'
where str1 in (select n_priveza from nnprivez where id_privez in (select id_privez from berth_owner where type = 0 and status = 1 and ((date_from <= {?datum_od} and date_to >= {?datum_od}) or (date_from >= {?datum_od} and date_from <= {?datum_do}))))
and computer={?computer};

update report_sql
set str20 = 'N'
where str20 is null and computer = {?computer};

-- indikator za sublease
update report_sql
set str12 = 'Y'
where str1 in (select n_priveza from nnprivez where id_privez in (select id_privez from berth_sublease where ((date_from <= {?datum_od} and date_to >= {?datum_od}) or (date_from >= {?datum_od} and date_from <= {?datum_do}))))
and computer={?computer};

update report_sql
set str12 = 'N'
where str12 is null and computer = {?computer};

--berh owner, ki je  tudi sublease, ni berth owner ampak samo sublease
update report_sql
set str20 = 'N'
where str12='Y' and str20='Y'
and computer={?computer};

-- indikator za dalbora owned (vse ostalo)

update report_sql
set str13 = case when str10 = 'N' and str11 = 'N' and str12 = 'N' and str20 = 'N' then 'Y' else 'N' end
where computer={?computer};
